Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::InterpretationRuleEnum Struct Reference

InterpretationRuleEnum is applied to a reading and maps the values to the given Interpretation. More...

`import <GatewaySensorManager.idl;`

Inheritance diagram for peripheral::GatewaySensorManager::InterpretationRuleEnum:

## Public Attributes

vector< string > | enumValues
| signed or unsigned 64-bit values as strings, decimal or hexadecimal 64-bit numbers
Public Attributes inherited from peripheral::GatewaySensorManager::InterpretationRuleInvertable
boolean | invertCondition
| negate rule condition
Public Attributes inherited from peripheral::GatewaySensorManager::InterpretationRule
Interpretation | interpretation
| how to interpret the applied rule
int | ignoreTimeout
| if > 0, ignoring stops after this timeout (seconds), and state changes to unavailable
AccessType | accessType
| use rule for read and/or write access

## Detailed Description

InterpretationRuleEnum is applied to a reading and maps the values to the given Interpretation.

Definition at line 500 of file GatewaySensorManager.idl.

## Member Data Documentation

## enumValues

vector<string> peripheral::GatewaySensorManager::InterpretationRuleEnum::enumValues

signed or unsigned 64-bit values as strings, decimal or hexadecimal 64-bit numbers

Definition at line 501 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl